#!/bin/sh

#illnesses="00 01 02 03 04 05 06 07 08 10 11 12 13 14 15 16 17"
illnesses="00 01 02 03 04 05 06 08 10 11 12 13 14 15 16 17"

for illness in $illnesses
do
  ${srcdir:-.}/SickTestJob.sh $illness || exit $?
done

exit 0

# end of script... the rest is autodoc code

<lalVerbatim file="SickTestSV">
$Id: SickTest.sh,v 1.6 2003/04/17 14:56:46 jolien Exp $
</lalVerbatim>

<lalLaTeX>

\subsection{Script \texttt{SickTest.sh}}
\label{ss:SickTest.sh}

Invokes the program \verb+happyAPI+ using \verb+mpirun+ with three processes
on the current machine (or the machines specified in the file \verb+machines+). 
The program \verb+happyAPI+ is instructed to dynamically load the
\verb+libsick.so+ shared object.  The script \verb+SickTestJob.sh+ returns
the exit code of \verb+happyAPI+.  The \verb+stderr+ output is redirected to
the file \verb+Commissar.err+ while the \verb+stdout+ output is output both
to standard output and to the file \verb+Commissar.out+.  The script
\verb+SickTest.sh+ repeatedly runs \verb+SickTestJob.sh+ with illness levels
between 0 and 17.

\vfill{\footnotesize\input{SickTestSV}}

</lalLaTeX>
