/*----------------------------------------------------------------------- 
 * 
 * File Name: InitSearch.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: InitSearch.h,v 1.2 2001/06/04 05:18:24 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#ifndef _INITSEARCH_H
#define _INITSEARCH_H

#include "Simple.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (INITSEARCHH, "$Id: InitSearch.h,v 1.2 2001/06/04 05:18:24 duncan Exp $");

#define INITSEARCHH_ENULL 1
#define INITSEARCHH_ENNUL 2
#define INITSEARCHH_EALOC 3
#define INITSEARCHH_EARGS 4
#define INITSEARCHH_ENUMZ 5
#define INITSEARCHH_ECNTZ 6
#define INITSEARCHH_MSGENULL "Null pointer"
#define INITSEARCHH_MSGENNUL "Non-null pointer"
#define INITSEARCHH_MSGEALOC "Memory allocation error"
#define INITSEARCHH_MSGEARGS "Error in input arguments"
#define INITSEARCHH_MSGENUMZ "Number of points is zero or negative"
#define INITSEARCHH_MSGECNTZ "Number to count up to is negative"


#ifdef  __cplusplus
}
#endif

#endif /* _INITSEARCH_H  */
